6.0.0-git
2021-10-21

[#3581] IMAP tree sort order
Summary IMAP tree sort order
Queue IMP
Queue Version HEAD
Type Enhancement
State Resolved
Priority 3. High
Owners Horde Developers (at) , slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2006-03-08 (5706 days ago)
Due
Updated 2007-02-16 (5361 days ago)
Assigned 2006-04-18 (5665 days ago)
Resolved 2007-02-16 (5361 days ago)
Milestone 4.2
Patch No

History
2007-02-16 08:20:12 Michael Slusarz Comment #23
State ⇒ Resolved
Reply to this comment
Added the final piece - allowing a user to create namespaces in base 
level of public/shared has the blank namespace.



Closing ticket.  Further issues should be opened in new tickets.
2007-02-14 23:43:07 Jan Schneider Comment #22 Reply to this comment
Works really great now.
2007-02-14 19:39:21 Michael Slusarz Comment #21 Reply to this comment
But it works now, yay! I do think though, that we shouldn't sort the
Shared Folders, Public Folders and Virtual Folders into the normal
folders, but display them at the end of the tree instead.
This has been finished.
2007-02-14 09:29:44 Jan Schneider Comment #20 Reply to this comment
Warning: Missing argument 1 for _getnamespace() in
/home/jan/headhorde/imp/lib/IMAP/Tree.php on line 1860
Should be fixed, hopefully correct.
2007-02-14 09:26:11 Jan Schneider Comment #19 Reply to this comment
Warning: Missing argument 1 for _getnamespace() in 
/home/jan/headhorde/imp/lib/IMAP/Tree.php on line 1860



But it works now, yay! I do think though, that we shouldn't sort the 
Shared Folders, Public Folders and Virtual Folders into the normal 
folders, but display them at the end of the tree instead.
2007-02-10 23:07:33 Jan Schneider Comment #17 Reply to this comment
No, I don't have altnamespace enabled. My namespaces look like:

(("INBOX." ".")) (("user." ".")) (("" "."))

With altnamespace it would look like:

(("" ".")) (("Other Users." ".")) (("Shared Folders." "."))
2007-02-10 22:38:03 Michael Slusarz Comment #16 Reply to this comment
Are your shared/public folders showing up under a separate folder 
entitled "Shared Folders" or "Public Folders"?  Those folders will be 
located alphabetically in your folder list.
2007-02-10 00:25:49 Jan Schneider Comment #15 Reply to this comment
No more error messages, but the sorting is still unchanged.
2007-02-09 20:03:38 Jan Schneider Comment #13 Reply to this comment
Nothing changes if I turn the pref on. After loggin in again, I get 
the following warning:

Warning: Invalid argument supplied for foreach() in 
/home/jan/headhorde/imp/lib/IMAP/Tree.php on line 1141

The sorting still doesn't change though.
2007-02-09 18:28:59 Michael Slusarz Comment #12 Reply to this comment
Initial code committed to HEAD.
2006-11-24 18:22:33 Michael Slusarz Comment #11
Summary ⇒ IMAP tree sort order
Reply to this comment
I haven't yet decided the final display details.  And I'm thinking 
this should be a preference.
2006-11-24 06:08:28 Chuck Hagenbuch Comment #10 Reply to this comment
Michael, what are your current thoughts on this?
2006-04-18 10:14:28 Jan Schneider State ⇒ Assigned
 
2006-03-28 17:41:49 Michael Slusarz Comment #9
Priority ⇒ 3. High
Reply to this comment
Jan provides a good framework to start playing around with.  Bumping.
2006-03-24 19:11:16 Chuck Hagenbuch Comment #8 Reply to this comment
I agree with what Jan said.
2006-03-22 15:48:33 Jan Schneider Comment #7 Reply to this comment
I just compared Outlook, Thunderbird, KMail, and Mail.app. None of 
these is hiding the namespaces, so they don't have any problems with 
this. I still think it's a good idea that we *do* hide them.

I don't think it would get too cluttered if we mix hiding namespaces 
and grouping namespaces. The namespaces should be grouped at the end 
of the folder list under top level containers with some meaningful 
name (Shared Folders, Public Folders), like Virtual Folders is now 
already. I also think we should move the vfolder container to the 
bottom of the list too. They really aren't regular folders, so 
"hiding" them between the other folders doesn't get us anywhere and is 
confusing IMO.
2006-03-14 01:41:46 Michael Slusarz Comment #6 Reply to this comment

[Show Quoted Text - 9 lines]
I think this is starting to get too cluttered.  We either need to let 
users be able to manipulate all the namespaces (which we don't 
currently allow the user to do - see, e.g., hiding personal namespaces 
from user; not being able to add folders to a private namespace if it 
is the "blank" namespace) or hide all namespace information from the 
user (which is our current UI plan).  Adding "containers" for 
different namespaces starts to mix the two.
2006-03-12 07:21:46 Michael Slusarz Assigned to Horde DevelopersHorde Developers
 
2006-03-12 07:21:25 Michael Slusarz Comment #5
Type ⇒ Enhancement
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment
This is not a bug - rather, it is a UI issue.
2006-03-08 22:29:37 Matt Selsky Comment #4 Reply to this comment
What if we create a container for each namespace?



-- Personal --

Inbox.a

Inbox.z

-- Public --

m



Or does that create tou much clutter?
2006-03-08 21:51:25 Jan Schneider Comment #3 Reply to this comment
I personally find it confusing, but I know what namespace this folder 
is coming from. And the old behaviour was different, that confused me 
too.



I'm fine with it if the change was intended, but I'm still not sure if 
it is a good idea. Even if people shouldn't have to know about 
namespaces, it might be desirable for the user to distinguish 
private/personal folders from public/shared folders. Dunno.
2006-03-08 15:56:16 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
I think you are incorrect - this is actually a feature that was quite 
annoying to code.  Take this example given your namespaces:

INBOX.a   (private)

INBOX.z    (private)

m          (public)



Since we strip private namespaces when displaying folders, our folder 
list will actually looks like this when outputting to the screen:

a

z

m



Showing folders like this is obviously *very* confusing - why is m 
sorted after z?  So we need to show folders like the following:

a   (INBOX.a)

m  (m)

z    (INBOX.z)



Which should be what we are doing now.  So you are correct that we are 
mixing personal and private namespaces, but that's perfectly fine and 
actually desired.
2006-03-08 15:44:44 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Wrong tree sort order
Queue ⇒ IMP
Assigned to Michael Slusarz
Reply to this comment
I'm sorry, but sorting is broken again. Folders from the public 
namespace are sorted into the personal folders.



NAMESPACE (("INBOX." ".")) (("user." ".")) (("" "."))

Saved Queries